Bug 1840636 - sevmgr fails to build in Fedora rawhide: TeX related problem
Summary: sevmgr fails to build in Fedora rawhide: TeX related problem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sevmgr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F33FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-05-27 11:21 UTC by Miro Hrončok
Modified: 2020-06-03 12:29 UTC (History)
2 users (show)

Fixed In Version: sevmgr-1.00.5-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-03 12:29:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-05-27 11:21:27 UTC
Description of problem:
Package sevmgr fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
1.00.4-5.fc32

Steps to Reproduce:
fedpkg build

The problem seem to be TeX related:

[ 69%] Generating PDF Reference Manual ('refman.tex' => 'refman.pdf')...
cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc && /usr/bin/cmake -E chdir /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex pdflatex -interaction batchmode refman.tex && echo 'First PDF generation done.' || echo 'First PDF generation done.'
This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
First PDF generation done.
cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc && /usr/bin/cmake -E chdir /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex egrep -s -e 'Fatal error occurred' -e 'Rerun to get cross-references right' refman.log && ( cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex && pdflatex -interaction batchmode refman.tex && echo 'Second PDF generation done.' ) || echo 'Second PDF generation was not necessary'
!  ==> Fatal error occurred, no output PDF file produced!
This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
Second PDF generation was not necessary
cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc && /usr/bin/cmake -E chdir /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex egrep -s -e 'Fatal error occurred' -e 'Rerun to get cross-references right' refman.log && ( cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex && pdflatex -interaction batchmode refman.tex && echo 'Third PDF generation done.' ) || echo 'Third PDF generation was not necessary'
!  ==> Fatal error occurred, no output PDF file produced!
This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
Third PDF generation was not necessary
cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc && /usr/bin/cmake -E chdir /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex test ! -f refman.pdf && ( cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex && echo 'Warning:\ the\ PDF\ reference\ manual\ ('/builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex/refman.pdf')\ has\ failed\ to\ build.\ You\ can\ perform\ a\ simple\ re-build\ ('make'\ in\ the\ 'doc/latex'\ sub-directory).' > refman.pdf && echo 'Warning:\ the\ PDF\ reference\ manual\ ('/builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex/refman.pdf')\ has\ failed\ to\ build.\ You\ can\ perform\ a\ simple\ re-build\ ('make'\ in\ the\ 'doc/latex'\ sub-directory).' ) || echo 'The PDF reference manual has been successfully built'
Warning:\ the\ PDF\ reference\ manual\ (/builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex/refman.pdf)\ has\ failed\ to\ build.\ You\ can\ perform\ a\ simple\ re-build\ (make\ in\ the\ doc/latex\ sub-directory).
cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc && /usr/bin/cmake -E chdir /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex echo 'The file size of the PDF reference manual is: ' && ( cd /builddir/build/BUILD/sevmgr-sevmgr-1.00.4/doc/latex && du -sh refman.pdf | cut -f1 )
The file size of the PDF reference manual is: 
4.0K
kpathsea: Running mktexfmt pdflatex.fmt
mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
mktexfmt:   /usr/share/texlive/texmf-dist/web2c/fmtutil.cnf
mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
mktexfmt:   /builddir/.texlive2020/texmf-config/web2c/fmtutil.cnf
mktexfmt [INFO]: writing formats under /builddir/.texlive2020/texmf-var/web2c
mktexfmt [INFO]: --- remaking pdflatex with pdftex
mktexfmt: running `pdftex -ini   -jobname=pdflatex -progname=pdflatex -translate-file=cp227.tcx *pdflatex.ini' ...
This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020) (INITEX)
 restricted \write18 enabled.
 (/usr/share/texlive/texmf-dist/web2c/cp227.tcx)
entering extended mode
(/usr/share/texlive/texmf-dist/tex/latex/latexconfig/pdflatex.ini
(/usr/share/texlive/texmf-dist/tex/generic/tex-ini-files/pdftexconfig.tex)
(/usr/share/texlive/texmf-dist/tex/latex/base/latex.ltx
(/usr/share/texlive/texmf-dist/tex/latex/base/texsys.cfg)
./texsys.aux found
\@currdir set to: ./.
Assuming \openin and \input 
have the same search path.
Defining UNIX/DOS style filename parser.
catcodes, registers, parameters,
LaTeX2e <2018-12-01>
hacks, control, par, spacing, files, font encodings, lengths,
====================================
Local config file fonttext.cfg used
====================================
(/usr/share/texlive/texmf-dist/tex/latex/base/fonttext.cfg
(/usr/share/texlive/texmf-dist/tex/latex/base/fonttext.ltx
=== Don't modify this file, use a .cfg file instead ===
(/usr/share/texlive/texmf-dist/tex/latex/base/omlenc.def)
(/usr/share/texlive/texmf-dist/tex/latex/base/t1enc.def)
(/usr/share/texlive/texmf-dist/tex/latex/base/ot1enc.def)
(/usr/share/texlive/texmf-dist/tex/latex/base/omsenc.def)
(/usr/share/texlive/texmf-dist/tex/latex/base/t1cmr.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/ot1cmr.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/ot1cmss.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/ot1cmtt.fd)))
====================================
Local config file fontmath.cfg used
====================================
(/usr/share/texlive/texmf-dist/tex/latex/base/fontmath.cfg
(/usr/share/texlive/texmf-dist/tex/latex/base/fontmath.ltx
=== Don't modify this file, use a .cfg file instead ===
(/usr/share/texlive/texmf-dist/tex/latex/base/omlcmm.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/omscmsy.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/omxcmex.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/ucmr.fd)))
====================================
Local config file preload.cfg used
=====================================
(/usr/share/texlive/texmf-dist/tex/latex/base/preload.cfg
(/usr/share/texlive/texmf-dist/tex/latex/base/preload.ltx)) page nos., x-ref,
environments, center, verbatim, math definitions, boxes, title, sectioning,
contents, floats, footnotes, index, bibliography, output,
===========================================
Local configuration file hyphen.cfg used
===========================================
(/usr/share/texlive/texmf-dist/tex/generic/babel/hyphen.cfg
(/usr/share/texlive/texmf-dist/tex/generic/babel/switch.def)
(/usr/share/texlive/texmf-dist/tex/generic/hyphen/hyphen.tex)
(/usr/share/texlive/texmf-dist/tex/generic/hyphen/dumyhyph.tex)
(/usr/share/texlive/texmf-dist/tex/generic/hyphen/zerohyph.tex))
(/usr/share/texlive/texmf-dist/tex/latex/base/utf8.def
(/usr/share/texlive/texmf-dist/tex/latex/base/t1enc.dfu)
(/usr/share/texlive/texmf-dist/tex/latex/base/ot1enc.dfu)
(/usr/share/texlive/texmf-dist/tex/latex/base/omsenc.dfu))
 ) )
Beginning to dump on file pdflatex.fmt
 (preloaded format=pdflatex 2020.5.27)
5457 strings of total length 72847
51416 memory locations dumped; current usage is 144&51242
3782 multiletter control sequences
\font\nullfont=nullfont
\font\OMX/cmex/m/n/10=cmex10
\font\tenln=line10
\font\tenlnw=linew10
\font\tencirc=lcircle10
\font\tencircw=lcirclew10
\font\OT1/cmr/m/n/5=cmr5
\font\OT1/cmr/m/n/7=cmr7
\font\OT1/cmr/m/n/10=cmr10
\font\OML/cmm/m/it/5=cmmi5
\font\OML/cmm/m/it/7=cmmi7
\font\OML/cmm/m/it/10=cmmi10
\font\OMS/cmsy/m/n/5=cmsy5
\font\OMS/cmsy/m/n/7=cmsy7
\font\OMS/cmsy/m/n/10=cmsy10
3633 words of font info for 14 preloaded fonts
14 hyphenation exceptions
Hyphenation trie of length 6081 has 183 ops out of 35111
  2 for language 1
  181 for language 0
0 words of pdfTeX memory
0 indirect objects
No pages of output.
Transcript written on pdflatex.log.


Additional info:
I've enabled the package in Koschei. See:
https://koschei.fedoraproject.org/package/sevmgr

This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-05-29 07:11:20 UTC
Python 3.9 update: The f33-python side tag is currently being merged.

New builds in f33-python are no longer possible, but python3 is not yet updated to Python 3.9 in rawhide. You can check when Python is Python 3.9 with:

    $ koji wait-repo f33-build --build python3.9-3.9.0~b1-3.fc3

And build the packages normally after that.

Comment 2 Denis Arnaud 2020-05-31 17:52:21 UTC
Fedora 33 update for SEvMgr: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1cd31866cb

Comment 3 Charalampos Stratakis 2020-06-03 12:29:38 UTC
The build is in rawhide.


Note You need to log in before you can comment on or make changes to this bug.